Package org.h2gis.functions.io.fgb.fileTable

## Class GeometryConversions

- java.lang.Object
- - org.h2gis.functions.io.fgb.fileTable.GeometryConversions

    public class GeometryConversions
    extends Object

Conversion to/from JTS

Author:
  Björn Harrtell, Nicolas Fortin // Support of Z and M in coordinates

### Constructor Summary

Constructors
`GeometryConversions()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `deserialize​(org.wololo.flatgeobuf.generated.Geometry geometry, int geometryType)`
`static Class<?>` `getGeometryClass​(int geometryType)`
`static int` `serialize​(com.google.flatbuffers.FlatBufferBuilder builder, org.locationtech.jts.geom.Geometry geometry, byte geometryType)`
`static GeometryOffsets` `serializePart​(com.google.flatbuffers.FlatBufferBuilder builder, org.locationtech.jts.geom.Geometry geometry, int geometryType)`
`static byte` `toGeometryType​(Class<?> geometryClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeometryConversions

    public GeometryConversions()

### Method Detail

#### serializePart

    public static GeometryOffsets serializePart​(com.google.flatbuffers.FlatBufferBuilder builder,
                                                org.locationtech.jts.geom.Geometry geometry,
                                                int geometryType)
                                         throws IOException

Throws:
  `IOException`

#### serialize

    public static int serialize​(com.google.flatbuffers.FlatBufferBuilder builder,
                                org.locationtech.jts.geom.Geometry geometry,
                                byte geometryType)
                         throws IOException

Throws:
  `IOException`

#### deserialize

    public static org.locationtech.jts.geom.Geometry deserialize​(org.wololo.flatgeobuf.generated.Geometry geometry,
                                                                 int geometryType)

#### getGeometryClass

    public static Class<?> getGeometryClass​(int geometryType)

#### toGeometryType

    public static byte toGeometryType​(Class<?> geometryClass)